Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::PollableSet::NoPossiblePollable Class Reference

`#include <PollableC.h>`

Inheritance diagram for CORBA::PollableSet::NoPossiblePollable:

[legend]
Collaboration diagram for CORBA::PollableSet::NoPossiblePollable:

[legend]
List of all members.

## Public Methods
| NoPossiblePollable (void)
| NoPossiblePollable (const NoPossiblePollable &)
| ~NoPossiblePollable (void)
NoPossiblePollable & | operator= (const NoPossiblePollable &)
virtual CORBA::Exception * | _tao_duplicate (void) const
| Deep copy.
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
## Static Public Methods
NoPossiblePollable * | _downcast (CORBA::Exception *)
| The narrow operation.
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

CORBA::PollableSet::NoPossiblePollable::NoPossiblePollable | ( | void |  | ) |

CORBA::PollableSet::NoPossiblePollable::NoPossiblePollable | ( | const NoPossiblePollable & |  | ) |

CORBA::PollableSet::NoPossiblePollable::~NoPossiblePollable | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * CORBA::PollableSet::NoPossiblePollable::_alloc | ( | void |  | ) | `[static]`

CORBA::PollableSet::NoPossiblePollable * CORBA::PollableSet::NoPossiblePollable::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| The narrow operation. Reimplemented from CORBA::UserException.

void CORBA::PollableSet::NoPossiblePollable::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void CORBA::PollableSet::NoPossiblePollable::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * CORBA::PollableSet::NoPossiblePollable::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Deep copy. The following operation is used in the implementation of it performs a deep copy of the exception, normally it is implemented as:
     class SomeException : public // Derives from CORBA::Exception
     {
     public:
       virtual CORBA::Exception *_tao_duplicate (void) const
       {
         return new SomeException (*this);
       }
     };
Implements CORBA::Exception.

void CORBA::PollableSet::NoPossiblePollable::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

NoPossiblePollable& CORBA::PollableSet::NoPossiblePollable::operator= | ( | const NoPossiblePollable & |  | ) |

The documentation for this class was generated from the following files:

- PollableC.h
- PollableC.cpp